class Feed < ActiveRecord::Base
  validate :check_feed_url

  protected
  def valid_feed_url
    result = Feedzirra::Feed.fetch_and_parse(self.url)
    if result.nil? || result.kind_of?(Fixnum)
      errors.add(:url, "The feed url was not valid.")
    end
  end
end
