u = User.first
u.articles #  => nil
u.articles.new title: "Title"
# => #<Article id: nil, title: "Title", user_id: 1>
u.save
u.articles.first
#  => => #<Article id: 1, title: "Title", user_id: 1>

u.articles << Article.new( title: "Another Title" )
u.articles.count #  => 2

u.articles.delete Article.find(1)
u.articles.count #  => 1

u.articles.clear
u.articles.count #  => 0

Article.count #  => 2
