class User < ActiveRecord::Base
  attr_accessible :age, :name
  validates_numericality_of :age
  validates_presence_of :name
end

u = User.new age: "foo"
u.valid? #  => false
u.errors[:age] # => "is not a number"
u.errors[:name] # => "can't be blank"
